# CompressedTextureBuffer

#### new Cesium.CompressedTextureBuffer(internalFormat, width, height, buffer)
Core/CompressedTextureBuffer.js 19

Describes a compressed texture and contains a compressed texture buffer.

Name | Type | Description
--- | --- | ---
`internalFormat` | PixelFormat | The pixel format of the compressed texture.
`width` | Number | The width of the texture.
`height` | Number | The height of the texture.
`buffer` | Uint8Array | The compressed texture buffer.

### Members

#### readonlybufferView : Uint8Array
Core/CompressedTextureBuffer.js 66

The compressed texture buffer.

#### readonlyheight : Number
Core/CompressedTextureBuffer.js 55

The height of the texture.

#### readonlyinternalFormat : PixelFormat
Core/CompressedTextureBuffer.js 33

The format of the compressed texture.

#### readonlywidth : Number
Core/CompressedTextureBuffer.js 44

The width of the texture.

### Methods

#### staticCesium.CompressedTextureBuffer.clone(object) → CompressedTextureBuffer
Core/CompressedTextureBuffer.js 79

Creates a shallow clone of a compressed texture buffer.

Name | Type | Description
--- | --- | ---
`object` | CompressedTextureBuffer | The compressed texture buffer to be cloned.

##### Returns:

A shallow clone of the compressed texture buffer.

#### clone() → CompressedTextureBuffer
Core/CompressedTextureBuffer.js 92

Creates a shallow clone of this compressed texture buffer.

##### Returns:

A shallow clone of the compressed texture buffer.